[package - 122amd64-default][graphics/py-mayavi] Failed for py38-mayavi-4.7.3_1 in build

From: <pkg-fallout_at_FreeBSD.org>
Date: Sun, 05 Dec 2021 21:49:24 UTC
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     yuri@FreeBSD.org
Log URL:        http://beefy6.nyi.freebsd.org/data/122amd64-default/d684832c1aed/logs/py38-mayavi-4.7.3_1.log
Build URL:      http://beefy6.nyi.freebsd.org/build.html?mastername=122amd64-default&build=d684832c1aed
Log:

=>> Building graphics/py-mayavi
build started at Sun Dec  5 21:48:17 UTC 2021
port directory: /usr/ports/graphics/py-mayavi
package name: py38-mayavi-4.7.3_1
building for: FreeBSD 122amd64-default-job-03 12.2-RELEASE-p11 FreeBSD 12.2-RELEASE-p11 amd64
maintained by: yuri@FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400008
Jail OSVERSION: 1202000
Job Id: 03

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1202000
UNAME_v=FreeBSD 12.2-RELEASE-p11
UNAME_r=12.2-RELEASE-p11
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/122amd64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/122amd64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=122amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/122amd64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
yuri@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.8" XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work  XDG_CACHE_HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work/.cache  HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/graphics/py-mayavi/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh WX_CONFIG=/usr/local/bin/wxgtk3u-3.0-config
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work  XDG_CACHE_HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work/.cache  HOME=/wrkdirs/usr/ports/graphics/py-mayavi/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/graphics/py-mayavi/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES WX_CONFIG=/usr/local/bin/wxgtk3u-3.0-config LDSHARED="cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
 BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python3.8  PYTHON_LIBDIR=lib/python3.8  PYTHON_PLATFORM=freebsd12  PYTHON_SITELIBDIR=lib/python3.8/site-packages  PYTHON_SUFFIX=38  PYTHON_EXT_SUFFIX=.cpython-38  PYTHON_VER=3.8  PYTHON_VERSION=python3.8 PYTHON2="@comment " PYTHON3="" OSREL=12.2 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/mayavi"  EXAMPLESDIR="share/examples/mayavi"  DATADIR="share/mayavi"  WWWDIR="www/mayavi"  ETCDIR="etc/mayavi"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/mayavi DOCSDIR=/usr/local/share/doc/mayavi EXAMPLESDIR=/usr/local/share/examples/mayavi  WWWDIR=/usr/local/www/mayavi ETCDIR=/usr/local/etc/mayavi
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.2-RELEASE-p11
OSREL=12.2
OSVERSION=1202000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE LGPL21 LGPL20 EPL LGPL3 BSD2CLAUSE APACHE11 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py38-mayavi-4.7.3_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.17.5.pkg
[122amd64-default-job-03] Installing pkg-1.17.5...
[122amd64-default-job-03] Extracting pkg-1.17.5: .......... done
===>   py38-mayavi-4.7.3_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py38-mayavi-4.7.3_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE LGPL21 LGPL20 EPL LGPL3 BSD2CLAUSE APACHE11 accepted by the user
===> Fetching all distfiles required by py38-mayavi-4.7.3_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE LGPL21 LGPL20 EPL LGPL3 BSD2CLAUSE APACHE11 accepted by the user
===> Fetching all distfiles required by py38-mayavi-4.7.3_1 for building
=> SHA256 Checksum OK for mayavi-4.7.3.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE LGPL21 LGPL20 EPL LGPL3 BSD2CLAUSE APACHE11 accepted by the user
===> Fetching all distfiles required by py38-mayavi-4.7.3_1 for building
===>  Extracting for py38-mayavi-4.7.3_1
=> SHA256 Checksum OK for mayavi-4.7.3.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py38-mayavi-4.7.3_1
===>  Applying FreeBSD patches for py38-mayavi-4.7.3_1 from /usr/ports/graphics/py-mayavi/files
===========================================================================
=======================<phase: build-depends  >============================
===>   py38-mayavi-4.7.3_1 depends on package: vtk9>0 - not found
===>   Installing existing package /packages/All/vtk9-9.1.0_1.pkg
[122amd64-default-job-03] Installing vtk9-9.1.0_1...
[122amd64-default-job-03] `-- Installing expat-2.4.1...
[122amd64-default-job-03] `-- Extracting expat-2.4.1: .......... done
[122amd64-default-job-03] `-- Installing freetype2-2.11.0...
[122amd64-default-job-03] |   `-- Installing png-1.6.37_1...
[122amd64-default-job-03] |   `-- Extracting png-1.6.37_1: .......... done
[122amd64-default-job-03] `-- Extracting freetype2-2.11.0: .......... done
[122amd64-default-job-03] `-- Installing hdf5-1.10.6,1...
[122amd64-default-job-03] |   `-- Installing hdf-szip-2.1.1...
[122amd64-default-job-03] |   `-- Extracting hdf-szip-2.1.1: .......... done
[122amd64-default-job-03] `-- Extracting hdf5-1.10.6,1: .......... done
[122amd64-default-job-03] `-- Installing jpeg-turbo-2.1.1_1...
[122amd64-default-job-03] `-- Extracting jpeg-turbo-2.1.1_1: .......... done
[122amd64-default-job-03] `-- Installing libGLU-9.0.2_1...
[122amd64-default-job-03] |   `-- Installing libglvnd-1.3.4...
[122amd64-default-job-03] |   | `-- Installing libX11-1.7.2,1...
[122amd64-default-job-03] |   |   `-- Installing libxcb-1.14_1...
<snip>
=====
Message from dejavu-2.37_1:

--
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

	Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

	FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
=====
Message from qt5-sql-5.15.2_1:

--
To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
 - databases/qt5-sqldrivers-ibase	InterBase/Firebird
 - databases/qt5-sqldrivers-mysql	MySQL
 - databases/qt5-sqldrivers-odbc	Open Database Connectivity
 - databases/qt5-sqldrivers-pgsql	PostgreSQL
 - databases/qt5-sqldrivers-sqlite2	SQLite 2
 - databases/qt5-sqldrivers-sqlite3	SQLite 3
 - databases/qt5-sqldrivers-tds		FreeTDS
===>   py38-mayavi-4.7.3_1 depends on package: vtk9>0 - found
===>   Returning to build of py38-mayavi-4.7.3_1
===>   py38-mayavi-4.7.3_1 depends on package: py38-numpy>=1.16,1<1.21,1 - not found
===>   Installing existing package /packages/All/py38-numpy-1.20.3,1.pkg
[122amd64-default-job-03] Installing py38-numpy-1.20.3,1...
[122amd64-default-job-03] `-- Installing openblas-0.3.18,1...
[122amd64-default-job-03] `-- Extracting openblas-0.3.18,1: .......... done
[122amd64-default-job-03] `-- Installing suitesparse-umfpack-5.7.9...
[122amd64-default-job-03] |   `-- Installing metis-5.1.0_9...
[122amd64-default-job-03] |   `-- Extracting metis-5.1.0_9: .......... done
[122amd64-default-job-03] |   `-- Installing suitesparse-amd-2.4.6...
[122amd64-default-job-03] |   | `-- Installing suitesparse-config-5.10.1...
[122amd64-default-job-03] |   | `-- Extracting suitesparse-config-5.10.1: ......... done
[122amd64-default-job-03] |   `-- Extracting suitesparse-amd-2.4.6: .......... done
[122amd64-default-job-03] |   `-- Installing suitesparse-camd-2.4.6...
[122amd64-default-job-03] |   `-- Extracting suitesparse-camd-2.4.6: ......... done
[122amd64-default-job-03] |   `-- Installing suitesparse-ccolamd-2.9.6...
[122amd64-default-job-03] |   `-- Extracting suitesparse-ccolamd-2.9.6: ........ done
[122amd64-default-job-03] |   `-- Installing suitesparse-cholmod-3.0.14...
[122amd64-default-job-03] |   | `-- Installing suitesparse-colamd-2.9.6...
[122amd64-default-job-03] |   | `-- Extracting suitesparse-colamd-2.9.6: ........ done
[122amd64-default-job-03] |   `-- Extracting suitesparse-cholmod-3.0.14: .......... done
[122amd64-default-job-03] `-- Extracting suitesparse-umfpack-5.7.9: .......... done
[122amd64-default-job-03] Extracting py38-numpy-1.20.3,1: .......... done
=====
Message from metis-5.1.0_9:

--
===>   NOTICE:

The metis port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://docs.freebsd.org/en/articles/contributing/#ports-contributing
===>   py38-mayavi-4.7.3_1 depends on package: py38-numpy>=1.16,1<1.21,1 - found
===>   Returning to build of py38-mayavi-4.7.3_1
===>   py38-mayavi-4.7.3_1 depends on executable: sphinx-build - not found
===>   Installing existing package /packages/All/py38-sphinx-3.5.2_1,1.pkg
[122amd64-default-job-03] Installing py38-sphinx-3.5.2_1,1...
[122amd64-default-job-03] `-- Installing py38-Babel-2.9.1...
[122amd64-default-job-03] |   `-- Installing py38-pytz-2021.3,1...
[122amd64-default-job-03] |   `-- Extracting py38-pytz-2021.3,1: .......... done
[122amd64-default-job-03] `-- Extracting py38-Babel-2.9.1: .......... done
[122amd64-default-job-03] `-- Installing py38-Jinja2-3.0.1...
[122amd64-default-job-03] |   `-- Installing py38-markupsafe-2.0.1...
[122amd64-default-job-03] |   `-- Extracting py38-markupsafe-2.0.1: .......... done
[122amd64-default-job-03] `-- Extracting py38-Jinja2-3.0.1: .......... done
[122amd64-default-job-03] `-- Installing py38-alabaster-0.7.12...
[122amd64-default-job-03] `-- Extracting py38-alabaster-0.7.12: .......... done
[122amd64-default-job-03] `-- Installing py38-docutils-0.17.1,1...
[122amd64-default-job-03] `-- Extracting py38-docutils-0.17.1,1: .......... done
[122amd64-default-job-03] `-- Installing py38-imagesize-1.3.0...
[122amd64-default-job-03] `-- Extracting py38-imagesize-1.3.0: .......... done
[122amd64-default-job-03] `-- Installing py38-packaging-21.3...
[122amd64-default-job-03] |   `-- Installing py38-pyparsing-3.0.6...
[122amd64-default-job-03] |   `-- Extracting py38-pyparsing-3.0.6: .......... done
[122amd64-default-job-03] `-- Extracting py38-packaging-21.3: .......... done
[122amd64-default-job-03] `-- Installing py38-pygments-2.7.2...
[122amd64-default-job-03] `-- Extracting py38-pygments-2.7.2: .......... done
[122amd64-default-job-03] `-- Installing py38-requests-2.25.1...
[122amd64-default-job-03] |   `-- Installing py38-certifi-2021.10.8...
[122amd64-default-job-03] |   `-- Extracting py38-certifi-2021.10.8: .......... done
[122amd64-default-job-03] |   `-- Installing py38-chardet-4.0.0,1...
[122amd64-default-job-03] |   `-- Extracting py38-chardet-4.0.0,1: .......... done
[122amd64-default-job-03] |   `-- Installing py38-idna-2.10...
[122amd64-default-job-03] |   `-- Extracting py38-idna-2.10: .......... done
[122amd64-default-job-03] |   `-- Installing py38-urllib3-1.26.7,1...
[122amd64-default-job-03] |   | `-- Installing py38-cryptography-3.3.2...
[122amd64-default-job-03] |   |   `-- Installing py38-cffi-1.15.0...
[122amd64-default-job-03] |   |   | `-- Installing py38-pycparser-2.21...
[122amd64-default-job-03] |   |   | `-- Extracting py38-pycparser-2.21: .......... done
[122amd64-default-job-03] |   |   `-- Extracting py38-cffi-1.15.0: .......... done
[122amd64-default-job-03] |   | `-- Extracting py38-cryptography-3.3.2: .......... done
[122amd64-default-job-03] |   | `-- Installing py38-openssl-20.0.1...
[122amd64-default-job-03] |   | `-- Extracting py38-openssl-20.0.1: .......... done
[122amd64-default-job-03] |   | `-- Installing py38-pysocks-1.7.1...
[122amd64-default-job-03] |   | `-- Extracting py38-pysocks-1.7.1: .......... done
[122amd64-default-job-03] |   `-- Extracting py38-urllib3-1.26.7,1: .......... done
[122amd64-default-job-03] `-- Extracting py38-requests-2.25.1: .......... done
[122amd64-default-job-03] `-- Installing py38-snowballstemmer-2.2.0...
[122amd64-default-job-03] |   `-- Installing py38-pystemmer-2.0.1...
[122amd64-default-job-03] |   `-- Extracting py38-pystemmer-2.0.1: ......... done
[122amd64-default-job-03] `-- Extracting py38-snowballstemmer-2.2.0: .......... done
[122amd64-default-job-03] `-- Installing py38-sphinxcontrib-applehelp-1.0.2...
[122amd64-default-job-03] `-- Extracting py38-sphinxcontrib-applehelp-1.0.2: .......... done
[122amd64-default-job-03] `-- Installing py38-sphinxcontrib-devhelp-1.0.2...
[122amd64-default-job-03] `-- Extracting py38-sphinxcontrib-devhelp-1.0.2: .......... done
[122amd64-default-job-03] `-- Installing py38-sphinxcontrib-htmlhelp-2.0.0...
[122amd64-default-job-03] `-- Extracting py38-sphinxcontrib-htmlhelp-2.0.0: .......... done
[122amd64-default-job-03] `-- Installing py38-sphinxcontrib-jsmath-1.0.1...
[122amd64-default-job-03] `-- Extracting py38-sphinxcontrib-jsmath-1.0.1: .......... done
[122amd64-default-job-03] `-- Installing py38-sphinxcontrib-qthelp-1.0.3...
[122amd64-default-job-03] `-- Extracting py38-sphinxcontrib-qthelp-1.0.3: .......... done
[122amd64-default-job-03] `-- Installing py38-sphinxcontrib-serializinghtml-1.1.5...
[122amd64-default-job-03] `-- Extracting py38-sphinxcontrib-serializinghtml-1.1.5: .......... done
[122amd64-default-job-03] Extracting py38-sphinx-3.5.2_1,1: .......... done
=====
Message from py38-urllib3-1.26.7,1:

--
Since version 1.25 HTTPS connections are now verified by default which is done
via "cert_reqs = 'CERT_REQUIRED'".  While certificate verification can be
disabled via "cert_reqs = 'CERT_NONE'", it's highly recommended to leave it on.

Various consumers of net/py-urllib3 already have implemented routines that
either explicitly enable or disable HTTPS certificate verification (e.g. via
configuration settings, CLI arguments, etc.).

Yet it may happen that there are still some consumers which don't explicitly
enable/disable certificate verification for HTTPS connections which could then
lead to errors (as is often the case with self-signed certificates).

In case of an error one should try first to temporarily disable certificate
verification of the problematic urllib3 consumer to see if that approach will
remedy the issue.
===>   py38-mayavi-4.7.3_1 depends on executable: sphinx-build - found
===>   Returning to build of py38-mayavi-4.7.3_1
===>   py38-mayavi-4.7.3_1 depends on package: py38-setuptools>0 - found
===>   py38-mayavi-4.7.3_1 depends on file: /usr/local/bin/python3.8 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py38-mayavi-4.7.3_1
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py38-mayavi-4.7.3_1
running build
----------------------------------------------------------------------
Building TVTK classes... Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 411, in <module>
  File "/usr/local/lib/python3.8/site-packages/numpy/distutils/core.py", line 169, in setup
    return old_setup(**new_attr)
  File "/usr/local/lib/python3.8/site-packages/setuptools/__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "/usr/local/lib/python3.8/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/local/lib/python3.8/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/local/lib/python3.8/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "setup.py", line 268, in run
  File "setup.py", line 254, in build_tvtk_classes_zip
  File "/wrkdirs/usr/ports/graphics/py-mayavi/work/mayavi-4.7.3/tvtk/setup.py", line 99, in gen_tvtk_classes_zip
    gen.generate_code()
  File "/wrkdirs/usr/ports/graphics/py-mayavi/work/mayavi-4.7.3/tvtk/code_gen.py", line 134, in generate_code
    self._write_wrapper_class(node, tvtk_name)
  File "/wrkdirs/usr/ports/graphics/py-mayavi/work/mayavi-4.7.3/tvtk/code_gen.py", line 229, in _write_wrapper_class
    self.wrap_gen.generate_code(node, out)
  File "/wrkdirs/usr/ports/graphics/py-mayavi/work/mayavi-4.7.3/tvtk/wrapper_gen.py", line 256, in generate_code
    self._gen_methods(node, out)
  File "/wrkdirs/usr/ports/graphics/py-mayavi/work/mayavi-4.7.3/tvtk/wrapper_gen.py", line 375, in _gen_methods
    get_set, allow_update_failure = self._gen_get_set_methods(klass, out)
  File "/wrkdirs/usr/ports/graphics/py-mayavi/work/mayavi-4.7.3/tvtk/wrapper_gen.py", line 762, in _gen_get_set_methods
    if not meths[vtk_attr_name] and get_sig[0][1]:
IndexError: list index out of range


Failed on Logger
(#3 of 10 nodes, #17 of 31 subnodes)

*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/py-mayavi